<?php
/**
* @file
* Contains \Drupal\doccheck_basic\Plugin\Block\FormBlock.
*/
namespace Drupal\doccheck_basic\Plugin\Block;
use Drupal\Core\Block\BlockBase;
use Drupal\Core\Form\FormInterface;
use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Session\SessionManager;
use Symfony\Component\HttpFoundation;
use Drupal\doccheck_basic\doccheckBasicCommon;

/**
* Provides a 'doccheck_basic' block.
*
* @Block(
*   id = "doccheck_basic",
*   admin_label = @Translation("DocCheck Basic"),
*   category = @Translation("Login")
* )
*/
class FormBlock extends BlockBase {

    /**
    * {@inheritdoc}
    */
    public function build() {
        return \Drupal\doccheck_basic\doccheckBasicCommon::doccheck_basic_login();

    }

    /**
    * {@inheritdoc}
    */
    public function getCacheMaxAge() {
        \Drupal::service('page_cache_kill_switch')->trigger();
        return 0;
    }
}
